Closed-end funds
GET/cef/{id}
MCP tool
get_closed_end_fundsFull license onlyReturns closed-end fund positions (private equity, venture, private credit and similar) with commitments, capital called and distributed, multiples and since-inception XIRR.
Parameters
| Name | In | Type | Description | |
|---|---|---|---|---|
id | path | integer | required | Client id. 0 returns all clients you can access. |
yearMonth | query | integer | required | Reporting month, YYYYMM. |
period | query | integer | optional | 0 MTD (default), 1 YTD, 2 3 months, 3 6 months, 4 12 months, 5 since inception. |
ccy | query | string | optional | Reporting currency. Default USD. |
tenantId | query | string | optional | Tenant to query, from /Tenants. Default: your user's main tenant. |
Example request
Response
Response fields
| Field | Type | Description |
|---|---|---|
clientID, clientAlias | string | Client ID and alias. |
invVehicle, invVehicleCode | string | Investment vehicle name and code. |
parentNodeId, nodeId | string | Position in the GWM. |
bankBroker, accountNumber | string | null | Account details, when the fund is held through an account. |
assetName | string | Fund name from the GWM asset catalogue. |
assetManager | string | Asset manager, as set on the node. |
assetClass, securityType | string | Classification from your Asset Master. |
initialInvestmentDate | string | null | Date of the initial investment. |
commitment | number | null | Total capital committed. |
capitalCalled | number | null | Capital called to date. |
unfundedCommitment | number | null | Commitment not yet called. |
pctCapitalCalled | number | null | Percentage of the commitment called. |
capitalDistributed | number | null | Capital distributed back to the investor. |
recallableDistributions | number | null | Distributions the manager can recall. |
dividends | number | null | Dividends paid to the investor. |
feesPaid | number | null | Management fees paid. |
income | number | null | Income generated. |
capitalGainsLocalCCY | number | null | Realized capital gains, local currency. |
localCCY | string | null | Local currency of the fund. |
localMarketValue | number | null | Market value, local currency. |
gainLossRepCCY | number | null | Net gain or loss, reporting currency. |
marketValueRepCCY | number | null | Market value, reporting currency. |
dpi | number | null | Distributions to paid-in. |
tvpi | number | null | Total value to paid-in. |
pic | number | null | Paid-in capital ratio (paid-in over committed). |
rvpi | number | null | Residual value to paid-in. |
lastValuationDate | string | null | Date of the latest valuation. |
sector, geoFocus, strategy, industryFocus | string | null | Fund characteristics. |
vintageYear | string | null | Year the fund began deploying capital. |
issuer | string | null | Issuer of the investment. |
pctAssets | number | null | Share of the total portfolio, in percent. |
xirrCumulative | number | null | Cumulative XIRR since inception. Named XIRRCumulative in MCP tool results. |
Errors
| Status | Body |
|---|---|
400 | "The user does not have access to this client or the client does not exist." |
400 | Validation problem when yearMonth is missing or not a number. |
400 | "The user does not have access to this tenant or the tenant does not exist." |
Plus the common 401 and 429 responses. See Errors.